Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#65455 - [python-flask-babelex] broken due to python-werkzeug 1.0.0

Attached to Project: Community Packages
Opened by vnoel (kaouete) - Tuesday, 11 February 2020, 13:48 GMT
Last edited by Sven-Hendrik Haase (Svenstaro) - Wednesday, 12 February 2020, 15:04 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Sven-Hendrik Haase (Svenstaro)
Levente Polyak (anthraxx)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 3
Private No

Details

Description:

Since python-werkzeug was updated to 1.0.0, I get the following error when launching pgadmin4-server:

Traceback (most recent call last):
File "web/pgAdmin4.py", line 40, in <module>
import config
File "/usr/lib/pgadmin4/web/config.py", line 30, in <module>
from pgadmin.utils import env, IS_PY2, IS_WIN, fs_short_path
File "/usr/lib/pgadmin4/web/pgadmin/__init__.py", line 21, in <module>
from flask_babelex import Babel, gettext
File "/usr/lib/python3.8/site-packages/flask_babelex/__init__.py", line 23, in <module>
from werkzeug import ImmutableDict
ImportError: cannot import name 'ImmutableDict' from 'werkzeug' (/usr/lib/python3.8/site-packages/werkzeug/__init__.py)


Additional info:
* package version(s) : 4.18-1
This task depends upon

Closed by  Sven-Hendrik Haase (Svenstaro)
Wednesday, 12 February 2020, 15:04 GMT
Reason for closing:  Fixed
Comment by Sven-Hendrik Haase (Svenstaro) - Wednesday, 12 February 2020, 11:17 GMT
Should be fixed via python-flask-babelex 0.9.4. Please check.
Comment by Niccolò Belli (darkbasic) - Wednesday, 12 February 2020, 12:49 GMT
Unfortunately the error simply changed:

$ pgadmin4-server
Traceback (most recent call last):
File "web/pgAdmin4.py", line 40, in <module>
import config
File "/usr/lib/pgadmin4/web/config.py", line 30, in <module>
from pgadmin.utils import env, IS_PY2, IS_WIN, fs_short_path
File "/usr/lib/pgadmin4/web/pgadmin/__init__.py", line 25, in <module>
from flask_security import Security, SQLAlchemyUserDatastore, current_user
File "/usr/lib/python3.8/site-packages/flask_security/__init__.py", line 13, in <module>
from .core import Security, RoleMixin, UserMixin, AnonymousUser, current_user
File "/usr/lib/python3.8/site-packages/flask_security/core.py", line 28, in <module>
from .forms import ChangePasswordForm, ConfirmRegisterForm, \
File "/usr/lib/python3.8/site-packages/flask_security/forms.py", line 17, in <module>
from flask_wtf import FlaskForm as BaseForm
File "/usr/lib/python3.8/site-packages/flask_wtf/__init__.py", line 17, in <module>
from .recaptcha import *
File "/usr/lib/python3.8/site-packages/flask_wtf/recaptcha/__init__.py", line 2, in <module>
from .fields import *
File "/usr/lib/python3.8/site-packages/flask_wtf/recaptcha/fields.py", line 3, in <module>
from . import widgets
File "/usr/lib/python3.8/site-packages/flask_wtf/recaptcha/widgets.py", line 5, in <module>
from werkzeug import url_encode
ImportError: cannot import name 'url_encode' from 'werkzeug' (/usr/lib/python3.8/site-packages/werkzeug/__init__.py)
Comment by Sven-Hendrik Haase (Svenstaro) - Wednesday, 12 February 2020, 13:28 GMT
Tested with updated version flask-wtf and works now. Please check yourself as well.
Comment by vnoel (kaouete) - Wednesday, 12 February 2020, 14:34 GMT
I confirm that it works with updated packages, thanks!

Loading...